bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Default number of overwrites in shred


From: Pádraig Brady
Subject: Re: Default number of overwrites in shred
Date: Mon, 26 Jan 2009 02:20:54 +0000
User-agent: Thunderbird 2.0.0.6 (X11/20071008)

HggdH wrote:
> On Thu, 2009-01-22 at 13:14 +0000, Pádraig Brady wrote:
>> Jim Meyering wrote:
>>> Sure.
>>> Too many people waste too much time with the existing defaults.
>> Pushing the attached soon so.
> 
> A consequence of this change -- right now -- is that all 3 passes will
> be random. I am not sure if this was the intended result or not.

Yes we don't really care about the patterns written to file any more,
so random is as good as any. Attached is a test to make this explicit.

cheers,
Pádraig.

>From 1a2e203a89e4a35538f6ded98646cea1951cc20f Mon Sep 17 00:00:00 2001
From: =?utf-8?q?P=C3=A1draig=20Brady?= <address@hidden>
Date: Mon, 26 Jan 2009 02:19:13 +0000
Subject: [PATCH] tests: Add a test to verify shred's default operations

* tests/Makefile.am: add new test
* tests/misc/shred-passes: Verify the operations shred
does by default to overwrite and remove a zero length file.
---
 tests/Makefile.am       |    1 +
 tests/misc/shred-passes |   41 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+), 0 deletions(-)
 create mode 100755 tests/misc/shred-passes

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 6dce9cd..bde98a9 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -193,6 +193,7 @@ TESTS =                                             \
   misc/sha384sum                               \
   misc/sha512sum                               \
   misc/shred-exact                             \
+  misc/shred-passes                            \
   misc/shred-remove                            \
   misc/shuf                                    \
   misc/sort                                    \
diff --git a/tests/misc/shred-passes b/tests/misc/shred-passes
new file mode 100755
index 0000000..07823b1
--- /dev/null
+++ b/tests/misc/shred-passes
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Verify the operations done by shred
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+  set -x
+  shred --version
+fi
+
+. $srcdir/test-lib.sh
+
+# shred a single letter, zero length file which should result in
+# 3 random passes and a single rename.
+touch f || framework_failure
+echo "\
+shred: f: pass 1/3 (random)...
+shred: f: pass 2/3 (random)...
+shred: f: pass 3/3 (random)...
+shred: f: removing
+shred: f: renamed to 0
+shred: f: removed" > exp
+
+shred -v -u f 2>out
+
+compare exp out || fail
+
+Exit $fail
-- 
1.5.3.6


reply via email to

[Prev in Thread] Current Thread [Next in Thread]